Table of Contents

Class: Scheduler | Twisted-0.17.4/twisted/internet/task.py
--- | ---

I am a non-thread-safe delayed scheduler for synchronous event loops.

Methods |
--- | ---
__init__ addTask runUntilCurrent timeout
| __init__

    __init__ ( self )

| addTask

    addTask (
            self,
            function,
            *args,
            *kwargs,
            )

| runUntilCurrent

    runUntilCurrent ( self )

| timeout

    timeout ( self )

Either I have work to do immediately, or no work to do at all.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0